Gets the last IMAP error that occurred during this page request

- « imap_is_open

- imap_list »

- PHP Manual
- IMAP Functions
- Gets the last IMAP error that occurred during this page request

# imap_last_error

(PHP 4, PHP 5, PHP 7, PHP 8)

imap_last_error — Gets the last IMAP error that occurred during this page request

### Description

imap_last_error(): string|false

Gets the full text of the last IMAP error message that occurred on the current page. The error stack is untouched; calling imap_last_error() subsequently, with no intervening errors, will return the same error.

### Parameters

This function has no parameters.

### Return Values

Returns the full text of the last IMAP error message that occurred on the current page. Returns `false` if no error messages are available.

### See Also

- imap_errors() - Returns all of the IMAP errors that have occurred